***ACEMOGLU, DE FEO, DE LUCA: WEAK STATES***
***REPLICATION FILE 1***

***SUMMARY***
*1) TABLES
*2) APPENDIX
*3) FIGURES


************
***TABLES***
************
clear all



***TABLE 2***
use "ADD_Mafia_agriculture.dta", clear
local crops "crop2-crop18"
local districts "district2-district24"
local provinces "province2-province7"
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
cluster2bootGDLF q_ha_tot_ratio sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30 `crops', seed(1111) fcluster(crop) tcluster(distretto1853) nboot(1000)
outreg2 using TAB2.tex, keep(kc_sp3m1893_n30 kc_su3m1893_n30 kc_au3m1892_n30 kc_wi3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30) dec(2) noaster replace
cluster2bootGDLF q_ha_tot_ratio sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30 ave_q_ha_tot l_ha1893tot `crops', seed(1111) fcluster(crop) tcluster(distretto1853) nboot(1000)
outreg2 using TAB2.tex, keep(kc_sp3m1893_n30 kc_su3m1893_n30 kc_au3m1892_n30 kc_wi3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30) dec(2) noaster append
cluster2bootGDLF q_ha_tot_ratio kc_sp3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30 `crops', seed(1111) fcluster(crop) tcluster(distretto1853) nboot(1000)
outreg2 using TAB2.tex, keep(kc_sp3m1893_n30 kc_su3m1893_n30 kc_au3m1892_n30 kc_wi3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30) dec(2) noaster append
cluster2bootGDLF q_ha_tot_ratio kc_sp3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30 ave_q_ha_tot l_ha1893tot `crops', seed(1111) fcluster(crop) tcluster(distretto1853) nboot(1000)
outreg2 using TAB2.tex, keep(kc_sp3m1893_n30 kc_su3m1893_n30 kc_au3m1892_n30 kc_wi3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30) dec(2) noaster append
cluster2bootGDLF q_ha_tot_ratio kc_sp3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30 ave_q_ha_tot l_ha1893tot `crops' `provinces', seed(1111) fcluster(crop) tcluster(distretto1853) nboot(1000)
outreg2 using TAB2.tex, keep(kc_sp3m1893_n30 kc_su3m1893_n30 kc_au3m1892_n30 kc_wi3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30) dec(2) noaster append
cluster2bootGDLF q_ha_tot_ratio kc_sp3m1893_n30 ave_q_ha_tot l_ha1893tot `crops' `districts' if sp3m1893_n30!=. & au3m1892_n30!=. & wi3m1893_n30!=. & su3m1893_n30!=., seed(1111) fcluster(crop) tcluster(distretto1853) nboot(1000)
outreg2 using TAB2.tex, keep(kc_sp3m1893_n30 kc_su3m1893_n30 kc_au3m1892_n30 kc_wi3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30) dec(2) noaster append
cluster2bootGDLF q_ha_tot_ratio kc_sp3m1893_n30 kc_su3m1893_n30 kc_au3m1892_n30 kc_wi3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30 ave_q_ha_tot l_ha1893tot `crops' `provinces', seed(1111) fcluster(crop) tcluster(distretto1853) nboot(1000)
outreg2 using TAB2.tex, keep(kc_sp3m1893_n30 kc_su3m1893_n30 kc_au3m1892_n30 kc_wi3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30) dec(2) noaster append
cluster2bootGDLF q_ha_tot_ratio kc_sp3m1893_n30 kc_su3m1893_n30 kc_au3m1892_n30 kc_wi3m1893_n30 ave_q_ha_tot l_ha1893tot `crops' `districts' if sp3m1893_n30!=. & au3m1892_n30!=. & wi3m1893_n30!=. & su3m1893_n30!=., seed(1111) fcluster(crop) tcluster(distretto1853) nboot(1000)
outreg2 using TAB2.tex, keep(kc_sp3m1893_n30 kc_su3m1893_n30 kc_au3m1892_n30 kc_wi3m1893_n30 sp3m1893_n30 au3m1892_n30 wi3m1893_n30 su3m1893_n30) dec(2) noaster append


***TABLE 3***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
*PANEL A
cluster2bootGDLF peasants_fasci sp3m1893_n30 if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30
local F1=r(F)
outreg2 using TAB3a.tex, keep(sp3m1893_n30) dec(2) noaster addstat(F-statistic, `F1') replace
foreach i of numlist 1/3 {
cluster2bootGDLF peasants_fasci sp3m1893_n30 `specification`i'' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30
local F1=r(F)
outreg2 using TAB3a.tex, keep(sp3m1893_n30) dec(2) noaster addstat(F-statistic, `F1') append 
}
*PANEL B
cluster2bootGDLF peasants_fasci sp3m1893_n30 `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30
local F1=r(F)
outreg2 using TAB3b.tex, keep(sp3m1893_n30) dec(2) noaster addstat(F-statistic, `F1') replace 
foreach i of numlist 1/3 {
cluster2bootGDLF peasants_fasci sp3m1893_n30 `specification`i'' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30
local F1=r(F)
outreg2 using TAB3b.tex, keep(sp3m1893_n30) dec(2) noaster addstat(F-statistic, `F1') append
}


***TABLE 4***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
*PANEL A
reg peasants_fasci sp3m1893_n30 if Mafia1900!=.
predict peasants_fasci_hat
cluster2bootGDLF Mafia1900 peasants_fasci_hat if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB4a.tex, keep(peasants_fasci_hat) dec(2) noaster replace 
drop peasants_fasci_hat
foreach i of numlist 1/3 {
reg peasants_fasci sp3m1893_n30 `specification`i'' if Mafia1900!=.
predict peasants_fasci_hat
cluster2bootGDLF Mafia1900 peasants_fasci_hat `specification`i'' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB4a.tex, keep(peasants_fasci_hat) dec(2) noaster append 
drop peasants_fasci_hat
}
*PANEL B
reg peasants_fasci sp3m1893_n30 `provinces' if Mafia1900!=.
predict peasants_fasci_hat
cluster2bootGDLF Mafia1900 peasants_fasci_hat `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB4b.tex, keep(peasants_fasci_hat) dec(2) noaster replace 
drop peasants_fasci_hat
foreach i of numlist 1/3 {
reg peasants_fasci sp3m1893_n30 `provinces' `specification`i'' if Mafia1900!=.
predict peasants_fasci_hat
cluster2bootGDLF Mafia1900 peasants_fasci_hat `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB4b.tex, keep(peasants_fasci_hat) dec(2) noaster append 
drop peasants_fasci_hat
}
*PANEL C
cluster2bootGDLF Mafia1900 peasants_fasci if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB4c.tex, keep(peasants_fasci) dec(2) noaster replace 
foreach i of numlist 1/3 {
cluster2bootGDLF Mafia1900 peasants_fasci `specification`i'' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB4c.tex, keep(peasants_fasci) dec(2) noaster append 
}
*PANEL D
cluster2bootGDLF Mafia1900 peasants_fasci `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB4d.tex, keep(peasants_fasci) dec(2) noaster replace 
foreach i of numlist 1/3 {
cluster2bootGDLF Mafia1900 peasants_fasci `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB4d.tex, keep(peasants_fasci) dec(2) noaster append 
}


***TABLE 5***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
*PANEL A
cluster2bootGDLF Mafia1900 sp3m1893_n30 if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30
local F1=r(F)
outreg2 using TAB5a.tex, keep(sp3m1893_n30) dec(2) noaster addstat(F-statistic, `F1') replace 
foreach i of numlist 1/3 {
cluster2bootGDLF Mafia1900 sp3m1893_n30 `specification`i'' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30
local F1=r(F)
outreg2 using TAB5a.tex, keep(sp3m1893_n30) dec(2) noaster addstat(F-statistic, `F1') append
}
*PANEL B
cluster2bootGDLF Mafia1900 sp3m1893_n30 `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30
local F1=r(F)
outreg2 using TAB5b.tex, keep(sp3m1893_n30) dec(2) noaster addstat(F-statistic, `F1') replace 
foreach i of numlist 1/3 {
cluster2bootGDLF Mafia1900 sp3m1893_n30 `specification`i'' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30
local F1=r(F)
outreg2 using TAB5b.tex, keep(sp3m1893_n30) dec(2) noaster addstat(F-statistic, `F1') append
}
*PANEL C & D ARE PRODUCED IN FILE XXX


***TABLE 6***
*PANEL A
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
*drop Mafia1885 from det_Mafia temporarily
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
cluster2bootGDLF Mafia1885 sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces' , fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB6a.tex, keep(sp3m1893_n30) dec(2) noaster replace 
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
foreach var of varlist malaria1885 vaccine_pop1885 draftrj_ill_rate1885 draftrj_height_rate1885 drinkwater_quantity1885 doctors_pop1885 infant1869 dev_spending1884 ind_pc_tax_capacity1884  {
cluster2bootGDLF `var' sp3m1893_n30 `specification3' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB6a.tex, keep(sp3m1893_n30) dec(2) noaster append 
}
*PANEL B
foreach var of varlist ind_dir_ratio1884 affittanza mezzadria ownfarming Citrus_groves sulfurproduction1868_70 hhi1865 notaries1872 army1875_pop eff_civ1 {
cluster2bootGDLF `var' sp3m1893_n30 `specification3' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB6b.tex, keep(sp3m1893_n30) dec(2) noaster append 
}


***TABLE 7***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
*PANEL A
foreach i of numlist 1893 1882/1891 {
g rel_rainfall = sp3m`i'_n30
cluster2bootGDLF peasants_fasci rel_rainfall `specification3' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp`i'_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB7a.tex, keep(rel_rainfall) dec(2) noaster addstat("year", `i') append 
drop rel_rainfall
}
*PANEL B
foreach i of numlist 1893 1882/1891 {
g rel_rainfall = sp3m`i'_n30
cluster2bootGDLF Mafia1900 rel_rainfall `specification3' `provinces' if peasants_fasci!=., fcluster(cl1_stn_sp`i'_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB7b.tex, keep(rel_rainfall) dec(2) noaster addstat("year", `i') append 
drop rel_rainfall
}



***TABLE 8***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
foreach var of varlist army1875_pop eff_civ1{
g state_capacity=`var'
g state_capacity_rain=`var'*sp3m1893_n30
g peasants_state_capacity=peasants_fasci*`var'
foreach i of numlist 2/3 {
*Panel A
reg peasants_fasci sp3m1893_n30 state_capacity_rain state_capacity `specification`i'' `provinces' if Mafia1900!=. & sp3m1893_n30!=.
predict peasants_fasci_h
reg peasants_state_capacity sp3m1893_n30 state_capacity_rain state_capacity `specification`i'' `provinces' if Mafia1900!=. & sp3m1893_n30!=.
predict peasants_state_capacity_h
cluster2bootGDLF Mafia1900 peasants_fasci_h peasants_state_capacity_h state_capacity `specification`i'' `provinces' if Mafia1900!=. & sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB8a.tex, keep(peasants_fasci_h state_capacity peasants_state_capacity_h) dec(2) noaster append
drop peasants_fasci_h
drop peasants_state_capacity_h
*Panel B
cluster2bootGDLF Mafia1900 sp3m1893_n30 state_capacity_rain state_capacity `specification`i'' `provinces' if Mafia1900!=. & sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB8b.tex, keep(sp3m1893_n30 state_capacity state_capacity_rain) dec(2) noaster append
}
drop state_capacity state_capacity_rain peasants_state_capacity
}


***TAB 9***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
*PANEL A
foreach var of varlist lit_mf1911 lit_mf1921 lit_mf1931 { 
foreach i of numlist 1/3 {
reg Mafia1900 sp3m1893_n30 `specification`i'' `provinces' if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB9a.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat

*PANEL B
cluster2bootGDLF `var' Mafia1900 `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB9b.tex, keep(Mafia1900) dec(2) noaster append 
}
}

***TAB 10***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
*PANEL A
foreach var of varlist infant1909 dev_spending1912 notaries1924 hhi1909 { 
foreach i of numlist 1/3 {
reg Mafia1900 sp3m1893_n30 `specification`i'' `provinces' if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB10a.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat

*PANEL B
cluster2bootGDLF `var' Mafia1900 `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB10b.tex, keep(Mafia1900) dec(2) noaster append 
}
}

***TAB 11***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
*PANEL A
foreach var of varlist high_mf1961 high_mf1971 high_mf1981 {
foreach i of numlist 1/3 {
reg Mafia1900 sp3m1893_n30 `specification`i'' `provinces'  if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `specification`i'' `provinces'  if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB11a.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat
}
}
*PANEL B
foreach var of varlist lit_mf1961 lit_mf1971 lit_mf1981 {
foreach i of numlist 1/3 {
reg Mafia1900 sp3m1893_n30 `specification`i'' `provinces'  if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `specification`i'' `provinces'  if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB11b.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat
}
}
*PANEL C
foreach var of varlist infmort1969_70 infmort1982 {
foreach i of numlist 1/3 {
reg Mafia1900 sp3m1893_n30 `specification`i'' `provinces'  if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `specification`i'' `provinces'  if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB11c.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat
}
}
*PANEL D
foreach var of varlist dev_spending1957 {
foreach i of numlist 1/3 {
reg Mafia1900 sp3m1893_n30 `specification`i'' `provinces' if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB11d.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat
}
}
*PANEL E
foreach var of varlist drink1961 drink1971 drink1981 {
foreach i of numlist 1/3 {
reg Mafia1900 sp3m1893_n30 `specification`i'' `provinces' if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB11e.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat
}
}
*PANEL F
foreach var of varlist hhi1963 hhi1972 hhi1983 {
foreach i of numlist 1/3 {
reg Mafia1900 sp3m1893_n30 `specification`i'' `provinces' if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB11f.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat
}
}



**************
***APPENDIX***
**************

***TAB A1***
*PANEL A
foreach var of varlist peasants_fasci Mafia1900 {
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
gen const=1
gen cutoff1=0.4
gen cutoff2=0.75
drop if peasants_fasci==.
drop if sp3m1893_n30==.
drop if Mafia1900==.
matrix `var' = J(2,3,.)
**
x_ols latitude longitude cutoff1 cutoff2 `var' const sp3m1893_n30 `det_Fasci' `provinces', xreg(13) coord(2)
matrix `var'[2,1]= sqrt(cov_dep[2,2])
reg `var' sp3m1893_n30 `det_Fasci' `provinces'
outreg2 using "TAB_A1a_whitenoise_`var'.tex",keep(sp3m1893_n30) dec(2) noaster replace
matrix `var'[1,1]= _b[sp3m1893_n30]
drop dis1 dis2 epsilon window
**
x_ols latitude longitude cutoff1 cutoff2 `var' const sp3m1893_n30 `det_Fasci' `det_Mafia' `provinces', xreg(18) coord(2)
matrix `var'[2,2]= sqrt(cov_dep[2,2])
reg `var' sp3m1893_n30 `det_Fasci' `det_Mafia' `provinces'
outreg2 using "TAB_A1a_whitenoise_`var'.tex",keep(sp3m1893_n30) dec(2) noaster append
matrix `var'[1,2]= _b[sp3m1893_n30]
drop dis1 dis2 epsilon window
**
x_ols latitude longitude cutoff1 cutoff2 `var' const sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces', xreg(29) coord(2)
matrix `var'[2,3]= sqrt(cov_dep[2,2])
reg `var' sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces'
outreg2 using "TAB_A1a_whitenoise_`var'.tex",keep(sp3m1893_n30) dec(2) noaster append
matrix `var'[1,3]= _b[sp3m1893_n30]
matrix rownames `var'= "sp3m1893_n30" "standard error"
estout matrix(`var',fmt(2)) using "TAB_A1a_Conley_`var'.tex", style(tex) replace
drop dis1 dis2 epsilon window
drop cutoff*
}
*PANEL B
foreach var of varlist Mafia1900 {
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
gen const=1
gen cutoff1=0.4
gen cutoff2=0.75
drop if Mafia1900==.
drop if sp3m1893_n30==.
drop if `var'==.
matrix `var' = J(2,3,.)
**
x_gmm latitude longitude cutoff1 cutoff2 `var' const peasants_fasci `det_Fasci' `provinces' const sp3m1893_n30 `det_Fasci' `provinces', xreg(14) inst(14) coord(2)
matrix `var'[1,1]= betagmm[2,1]
matrix `var'[2,1]= sqrt(cov_dep[2,2])
drop dis1 dis2 zubar*
**
x_gmm latitude longitude cutoff1 cutoff2 `var' const peasants_fasci `det_Fasci' `det_Mafia' `provinces' const sp3m1893_n30 `det_Fasci' `det_Mafia' `provinces', xreg(19) inst(19) coord(2)
matrix `var'[1,2]= betagmm[2,1]
matrix `var'[2,2]= sqrt(cov_dep[2,2])
drop dis1 dis2 zubar*
**
x_gmm latitude longitude cutoff1 cutoff2 `var' const peasants_fasci `det_Fasci' `det_Mafia' `basics' `provinces' const sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces', xreg(30) inst(30) coord(2)
matrix `var'[1,3]= betagmm[2,1]
matrix `var'[2,3]= sqrt(cov_dep[2,2])
matrix rownames `var'= "peasants_fasci" "standard error"
estout matrix(`var' ,fmt(2)) using "TAB_A1b_ConleyGMM_`var'.tex", style(tex) replace
drop dis1 dis2 zubar*
drop cutoff*
ivreg2 `var' (peasants_fasci=sp3m1893_n30) `det_Fasci' `provinces'
outreg2 using "TAB_A1b_whitenoise_`var'.tex",keep(peasants_fasci) dec(2) noaster replace
ivreg2 `var' (peasants_fasci=sp3m1893_n30) `det_Fasci' `det_Mafia' `provinces'
outreg2 using "TAB_A1b_whitenoise_`var'.tex",keep(peasants_fasci) dec(2) noaster append
ivreg2 `var' (peasants_fasci=sp3m1893_n30) `det_Fasci' `det_Mafia' `basics' `provinces'
outreg2 using "TAB_A1b_whitenoise_`var'.tex",keep(peasants_fasci) dec(2) noaster append
}
*PANEL C
foreach var of varlist lit_mf1911 lit_mf1921 lit_mf1931 lit_mf1961 lit_mf1971 lit_mf1981 high_mf1961 high_mf1971 high_mf1981 infant1909 infmort1969_70 infmort1982  dev_spending1912 dev_spending1957 notaries1924 drink1961 drink1971 drink1981 hhi1909  hhi1963 hhi1972 hhi1983 {
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
gen const=1
gen cutoff1=0.4
gen cutoff2=0.75
drop if Mafia1900==.
drop if sp3m1893_n30==.
drop if `var'==.
matrix `var' = J(2,3,.)
**
x_gmm latitude longitude cutoff1 cutoff2 `var' const Mafia1900 `det_Fasci' `provinces' const sp3m1893_n30 `det_Fasci' `provinces', xreg(14) inst(14) coord(2)
matrix `var'[1,1]= betagmm[2,1]
matrix `var'[2,1]= sqrt(cov_dep[2,2])
drop dis1 dis2 zubar*
**
x_gmm latitude longitude cutoff1 cutoff2 `var' const Mafia1900 `det_Fasci' `det_Mafia' `provinces' const sp3m1893_n30 `det_Fasci' `det_Mafia' `provinces', xreg(19) inst(19) coord(2)
matrix `var'[1,2]= betagmm[2,1]
matrix `var'[2,2]= sqrt(cov_dep[2,2])
drop dis1 dis2 zubar*
**
x_gmm latitude longitude cutoff1 cutoff2 `var' const Mafia1900 `det_Fasci' `det_Mafia' `basics' `provinces' const sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces', xreg(30) inst(30) coord(2)
matrix `var'[1,3]= betagmm[2,1]
matrix `var'[2,3]= sqrt(cov_dep[2,2])
matrix rownames `var'= "Mafia1900" "standard error"
estout matrix(`var',fmt(2)) using "TAB_A1c_ConleyGMM_`var'.tex", style(tex) replace
drop dis1 dis2 zubar*
drop cutoff*
ivreg2 `var' (Mafia1900=sp3m1893_n30) `det_Fasci' `provinces'
outreg2 using "TAB_A1c_whitenoise_`var'.tex", keep(Mafia1900) dec(2) noaster replace
ivreg2 `var' (Mafia1900=sp3m1893_n30) `det_Fasci' `det_Mafia' `provinces'
outreg2 using "TAB_A1c_whitenoise_`var'.tex", keep(Mafia1900) dec(2) noaster append
ivreg2 `var' (Mafia1900=sp3m1893_n30) `det_Fasci' `det_Mafia' `basics' `provinces'
outreg2 using "TAB_A1c_whitenoise_`var'.tex", keep(Mafia1900) dec(2) noaster append
}


***TABLE A2***
use "ADD_Mafia_district.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
*PANEL A
reg peasants_fasci sp3m1893_n30, r
outreg2 using TAB_A2a.tex, keep(sp3m1893_n30) dec(2) noaster replace
reg peasants_fasci sp3m1893_n30 `det_Fasci', r
outreg2 using TAB_A2a.tex, keep(sp3m1893_n30) dec(2) noaster append
reg peasants_fasci sp3m1893_n30 `det_Fasci' `det_Mafia' , r
outreg2 using TAB_A2a.tex, keep(sp3m1893_n30) dec(2) noaster append
reg peasants_fasci sp3m1893_n30 `basics' , r
outreg2 using TAB_A2a.tex, keep(sp3m1893_n30) dec(2) noaster append
*PANEL B
reg peasants_fasci sp3m1893_n30 `provinces', r
outreg2 using TAB_A2b.tex, keep(sp3m1893_n30) dec(2) noaster replace
reg peasants_fasci sp3m1893_n30 `det_Fasci' `provinces', r
outreg2 using TAB_A2b.tex, keep(sp3m1893_n30) dec(2) noaster append
reg peasants_fasci sp3m1893_n30 `det_Fasci' `det_Mafia' `provinces', r
outreg2 using TAB_A2b.tex, keep(sp3m1893_n30) dec(2) noaster append
reg peasants_fasci sp3m1893_n30 `basics' `provinces', r
outreg2 using TAB_A2b.tex, keep(sp3m1893_n30) dec(2) noaster append


***TABLE A3***
use "ADD_Mafia_district.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
*PANEL A
reg Mafia1900 sp3m1893_n30, r
outreg2 using TAB_A3a.tex, keep(sp3m1893_n30) dec(2) noaster replace
reg Mafia1900 sp3m1893_n30 `det_Fasci' , r
outreg2 using TAB_A3a.tex, keep(sp3m1893_n30) dec(2) noaster append
reg Mafia1900 sp3m1893_n30 `det_Fasci' `det_Mafia', r 
outreg2 using TAB_A3a.tex, keep(sp3m1893_n30) dec(2) noaster append
reg Mafia1900 sp3m1893_n30 `basics' , r
outreg2 using TAB_A3a.tex, keep(sp3m1893_n30) dec(2) noaster append
*PANEL B
reg Mafia1900 sp3m1893_n30 `provinces', r
outreg2 using TAB_A3b.tex, keep(sp3m1893_n30) dec(2) noaster replace
reg Mafia1900 sp3m1893_n30 `det_Fasci' `provinces', r
outreg2 using TAB_A3b.tex, keep(sp3m1893_n30) dec(2) noaster append
reg Mafia1900 sp3m1893_n30 `det_Fasci' `det_Mafia' `provinces', r
outreg2 using TAB_A3b.tex, keep(sp3m1893_n30) dec(2) noaster append
reg Mafia1900 sp3m1893_n30 `basics' `provinces', r
outreg2 using TAB_A3b.tex, keep(sp3m1893_n30) dec(2) noaster append


***TABLE A4***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
*drop Mafia1885 from det_Mafia temporarily
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
cluster2bootGDLF peasants_fasci Mafia1885 `provinces' if Mafia1900!=.& sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A4.tex, keep(Mafia1885) dec(2) noaster replace 
cluster2bootGDLF peasants_fasci Mafia1885 `det_Fasci' `provinces' if Mafia1900!=.& sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A4.tex, keep(Mafia1885) dec(2) noaster append 
cluster2bootGDLF peasants_fasci Mafia1885 `det_Fasci' `det_Mafia' `provinces' if Mafia1900!=.& sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A4.tex, keep(Mafia1885) dec(2) noaster append 
cluster2bootGDLF peasants_fasci Mafia1885 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=.& sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A4.tex, keep(Mafia1885) dec(2) noaster append 


***TAB A5***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel predr_peas_fasci"
*take for this time sulfurproduction1868_70 out of the det_Mafia variables
local det_Mafia "Citrus_groves Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
foreach i of numlist 0/3 {
reg peasants_fasci sp3m1893_n30 sulfurproduction1868_70 `specification`i'' `provinces' if sp3m1893_n30!=. & Mafia1900!=.
predict peasants_fasci_h
reg Mafia1900 sulfurproduction1868_70 sp3m1893_n30 `specification`i'' `provinces' if sp3m1893_n30!=. & Mafia1900!=.
predict Mafia1900_h
cluster2bootGDLF peasants_fasci Mafia1900_h sp3m1893_n30 `specification`i'' `provinces' if sp3m1893_n30!=. & Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A5_peasants.tex, keep(Mafia1900_h sp3m1893_n30) dec(2) noaster append
cluster2bootGDLF Mafia1900 peasants_fasci_h sulfurproduction1868_70 `specification`i'' `provinces' if sp3m1893_n30!=. & Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A5_mafia.tex, keep(peasants_fasci_h sulfurproduction1868_70)  dec(2) noaster append
drop peasants_fasci_h
drop Mafia1900_h
}
local det_Fasci "ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel predr_peas_fasci"
*take for this time Mafia1885 out of the det_Mafia variables
local det_Mafia "Citrus_groves Vineyards Olives_groves sulfurproduction1868_70"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
foreach i of numlist 0/3 {
reg peasants_fasci sp3m1893_n30 Mafia1885 `specification`i'' `provinces' if sp3m1893_n30!=. & Mafia1900!=.
predict peasants_fasci_h
reg Mafia1900 Mafia1885 sp3m1893_n30 `specification`i'' `provinces' if sp3m1893_n30!=. & Mafia1900!=.
predict Mafia1900_h
cluster2bootGDLF peasants_fasci Mafia1900_h sp3m1893_n30 `specification`i'' `provinces' if sp3m1893_n30!=. & Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A5_peasants.tex,  keep(Mafia1900_h sp3m1893_n30) dec(2) noaster append
cluster2bootGDLF Mafia1900 peasants_fasci_h Mafia1885 `specification`i'' `provinces' if sp3m1893_n30!=. & Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A5_mafia.tex, keep(peasants_fasci_h Mafia1885)  dec(2) noaster append
drop peasants_fasci_h
drop Mafia1900_h
}


***TABLE A6***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
*drop Mafia1885 from det_Mafia temporarily
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"

*PANEL A
foreach var of varlist Mafia_n1885 Mafia_n1885max Mafia_n1885max_d { 
cluster2bootGDLF peasants_fasci sp3m1893_n30 Mafia1885 Mafia1885_rain `var' `var'_rain `det_Fasci' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A6a.tex, keep(sp3m1893_n30 Mafia1885 Mafia1885_rain `var' `var'_rain) dec(2) noaster append 
cluster2bootGDLF peasants_fasci sp3m1893_n30 Mafia1885 Mafia1885_rain `var' `var'_rain `det_Fasci' `det_Mafia' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A6a.tex, keep(sp3m1893_n30 Mafia1885 Mafia1885_rain `var' `var'_rain) dec(2) noaster append 
cluster2bootGDLF peasants_fasci sp3m1893_n30 Mafia1885 Mafia1885_rain `var' `var'_rain `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A6a.tex, keep(sp3m1893_n30 Mafia1885 Mafia1885_rain `var' `var'_rain) dec(2) noaster append 
*PANEL B
cluster2bootGDLF Mafia1900 sp3m1893_n30 Mafia1885 Mafia1885_rain `var' `var'_rain `det_Fasci' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A6b.tex,  keep(sp3m1893_n30 Mafia1885 Mafia1885_rain `var' `var'_rain) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n30 Mafia1885 Mafia1885_rain `var' `var'_rain `det_Fasci' `det_Mafia' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A6b.tex, keep(sp3m1893_n30 Mafia1885 Mafia1885_rain  `var' `var'_rain) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n30 Mafia1885 Mafia1885_rain `var' `var'_rain `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A6b.tex, keep(sp3m1893_n30 Mafia1885 Mafia1885_rain  `var' `var'_rain) dec(2) noaster append 
}



***TABLE A7***
*** sulfurproduction1868_70 interaction
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
*drop sulfurproduction1868_70 from det_Mafia temporarily
local det_Mafia "Citrus_groves Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
*PANEL A
cluster2bootGDLF peasants_fasci sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain `det_Fasci' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7a.tex, keep(sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain) dec(2) noaster replace 
cluster2bootGDLF peasants_fasci sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain `det_Fasci' `det_Mafia' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7a.tex, keep(sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain) dec(2) noaster append 
cluster2bootGDLF peasants_fasci sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7a.tex, keep(sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain) dec(2) noaster append 
*PANEL B
cluster2bootGDLF Mafia1900 sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain `det_Fasci' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7b.tex, keep(sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain) dec(2) noaster replace 
cluster2bootGDLF Mafia1900 sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain `det_Fasci' `det_Mafia' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7b.tex, keep(sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7b.tex, keep(sp3m1893_n30 sulfurproduction1868_70 sulfurproduction1868_70_rain) dec(2) noaster append 

***Citrus_groves interaction
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
*drop Citrus_groves from det_Mafia temporarily
local det_Mafia "sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
*PANEL A
cluster2bootGDLF peasants_fasci sp3m1893_n30 Citrus_groves Citrus_groves_rain `det_Fasci' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7a.tex, keep(sp3m1893_n30 Citrus_groves Citrus_groves_rain) dec(2) noaster append 
cluster2bootGDLF peasants_fasci sp3m1893_n30 Citrus_groves Citrus_groves_rain `det_Fasci' `det_Mafia' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7a.tex, keep(sp3m1893_n30 Citrus_groves Citrus_groves_rain) dec(2) noaster append 
cluster2bootGDLF peasants_fasci sp3m1893_n30 Citrus_groves Citrus_groves_rain `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7a.tex, keep(sp3m1893_n30 Citrus_groves Citrus_groves_rain) dec(2) noaster append 
*PANEL B
cluster2bootGDLF Mafia1900 sp3m1893_n30 Citrus_groves Citrus_groves_rain `det_Fasci' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7b.tex, keep(sp3m1893_n30 Citrus_groves Citrus_groves_rain) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n30 Citrus_groves Citrus_groves_rain `det_Fasci' `det_Mafia' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7b.tex, keep(sp3m1893_n30 Citrus_groves Citrus_groves_rain) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n30 Citrus_groves Citrus_groves_rain `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7b.tex, keep(sp3m1893_n30 Citrus_groves Citrus_groves_rain) dec(2) noaster append 

*** relative rainfall in the neighborhood
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
*PANEL A
cluster2bootGDLF peasants_fasci sp3m1893_n30 sp3m1893_n_n30 `det_Fasci' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7a.tex, keep(sp3m1893_n30 sp3m1893_n_n30) dec(2) noaster append 
cluster2bootGDLF peasants_fasci sp3m1893_n30 sp3m1893_n_n30 `det_Fasci' `det_Mafia' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7a.tex, keep(sp3m1893_n30 sp3m1893_n_n30) dec(2) noaster append 
cluster2bootGDLF peasants_fasci sp3m1893_n30 sp3m1893_n_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7a.tex, keep(sp3m1893_n30 sp3m1893_n_n30) dec(2) noaster append 
*PANEL B
cluster2bootGDLF Mafia1900 sp3m1893_n30 sp3m1893_n_n30 `det_Fasci' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7b.tex, keep(sp3m1893_n30 sp3m1893_n_n30) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n30 sp3m1893_n_n30 `det_Fasci' `det_Mafia' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7b.tex, keep(sp3m1893_n30 sp3m1893_n_n30) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n30 sp3m1893_n_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A7b.tex, keep(sp3m1893_n30 sp3m1893_n_n30) dec(2) noaster append 


***TABLE A8***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
*PANEL A
cluster2bootGDLF peasants_fasci sp3m1892_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1892_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A8a.tex, keep(sp3m1892_n30 sp3m1893_n30 wi3m1893_n30 su3m1893_n30 au3m1892_n30) dec(2) noaster replace 
cluster2bootGDLF peasants_fasci sp3m1892_n30 sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A8a.tex, keep(sp3m1892_n30 sp3m1893_n30 wi3m1893_n30 su3m1893_n30 au3m1892_n30) dec(2) noaster append 
cluster2bootGDLF peasants_fasci sp3m1893_n30 wi3m1893_n30 su3m1893_n30 au3m1892_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A8a.tex, keep(sp3m1892_n30 sp3m1893_n30 wi3m1893_n30 su3m1893_n30 au3m1892_n30) dec(2) noaster append 
*PANEL B
cluster2bootGDLF Mafia1900 sp3m1892_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1892_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A8b.tex, keep(sp3m1892_n30 sp3m1893_n30 wi3m1893_n30 su3m1893_n30 au3m1892_n30) dec(2) noaster replace 
cluster2bootGDLF Mafia1900 sp3m1892_n30 sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A8b.tex, keep(sp3m1892_n30 sp3m1893_n30 wi3m1893_n30 su3m1893_n30 au3m1892_n30) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n30 wi3m1893_n30 su3m1893_n30 au3m1892_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A8b.tex, keep(sp3m1892_n30 sp3m1893_n30 wi3m1893_n30 su3m1893_n30 au3m1892_n30) dec(2) noaster append 


***TABLE A9***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
*PANEL A
cluster2bootGDLF peasants_fasci lsp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A9a.tex, keep(lsp3m1893_n30 csp3m1893_n30 sp3m1893_n30b sp3m1893_n25 sp3m1893_n35) dec(2) noaster replace 
cluster2bootGDLF peasants_fasci csp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A9a.tex, keep(lsp3m1893_n30 csp3m1893_n30 sp3m1893_n30b sp3m1893_n25 sp3m1893_n35) dec(2) noaster append
cluster2bootGDLF peasants_fasci sp3m1893_n30b `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A9a.tex, keep(lsp3m1893_n30 csp3m1893_n30 sp3m1893_n30b sp3m1893_n25 sp3m1893_n35) dec(2) noaster append
cluster2bootGDLF peasants_fasci sp3m1893_n25 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn1893_n25) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A9a.tex, keep(lsp3m1893_n30 csp3m1893_n30 sp3m1893_n30b sp3m1893_n25 sp3m1893_n35) dec(2) noaster append 
cluster2bootGDLF peasants_fasci sp3m1893_n35 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn1893_n35) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A9a.tex, keep(lsp3m1893_n30 csp3m1893_n30 sp3m1893_n30b sp3m1893_n25 sp3m1893_n35) dec(2) noaster append 
*PANEL B
cluster2bootGDLF Mafia1900 lsp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A9b.tex, keep(lsp3m1893_n30 csp3m1893_n30 sp3m1893_n30b sp3m1893_n25 sp3m1893_n35) dec(2) noaster replace 
cluster2bootGDLF Mafia1900 csp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A9b.tex, keep(lsp3m1893_n30 csp3m1893_n30 sp3m1893_n30b sp3m1893_n25 sp3m1893_n35) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n30b `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A9b.tex, keep(lsp3m1893_n30 csp3m1893_n30 sp3m1893_n30b sp3m1893_n25 sp3m1893_n35) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n25 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn1893_n25) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A9b.tex, keep(lsp3m1893_n30 csp3m1893_n30 sp3m1893_n30b sp3m1893_n25 sp3m1893_n35) dec(2) noaster append 
cluster2bootGDLF Mafia1900 sp3m1893_n35 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn1893_n35) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A9b.tex, keep(lsp3m1893_n30 csp3m1893_n30 sp3m1893_n30b sp3m1893_n25 sp3m1893_n35) dec(2) noaster append 


***TABLE A10***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
*PANEL A
cluster2bootGDLF peasants_fasci sp3m1893_n30c `det_Fasci' `det_Mafia' `basics' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30c
local F1=r(F)
outreg2 using TAB_A10a.tex, keep(sp3m1893_n30c) dec(2) noaster addstat(F-statistic, `F1') append 
cluster2bootGDLF peasants_fasci sp3m1893_n30c `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30c
local F1=r(F)
outreg2 using TAB_A10a.tex, keep(sp3m1893_n30c) dec(2) noaster addstat(F-statistic, `F1') append 
reg peasants_fasci sp3m1893_n30c `det_Fasci' `det_Mafia' `basics' if Mafia1900!=.
predict peasants_fasci_hat
cluster2bootGDLF Mafia1900 peasants_fasci_hat `det_Fasci' `det_Mafia' `basics' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A10a.tex, keep(peasants_fasci_hat) dec(2) noaster append 
drop peasants_fasci_hat
reg peasants_fasci sp3m1893_n30c `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=.
predict peasants_fasci_hat
cluster2bootGDLF Mafia1900 peasants_fasci_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A10a.tex, keep(peasants_fasci_hat) dec(2) noaster append 
drop peasants_fasci_hat
cluster2bootGDLF Mafia1900 sp3m1893_n30c `det_Fasci' `det_Mafia' `basics' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30c
local F1=r(F)
outreg2 using TAB_A10a.tex, keep(sp3m1893_n30c) dec(2) noaster addstat(F-statistic, `F1') append 
cluster2bootGDLF Mafia1900 sp3m1893_n30c `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30c
local F1=r(F)
outreg2 using TAB_A10a.tex, keep(sp3m1893_n30c) dec(2) noaster addstat(F-statistic, `F1') append 
*PANEL B
foreach var of varlist lit_mf1911 lit_mf1921 lit_mf1931 infant1909 notaries1924 dev_spending1912 hhi1909 { 
reg Mafia1900 sp3m1893_n30c `det_Fasci' `det_Mafia' `basics' `provinces' if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A10b.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat
}
*PANEL Ca
foreach var of varlist high_mf1961 lit_mf1961 drink1961 dev_spending1957 hhi1963 { 
reg Mafia1900 sp3m1893_n30c `det_Fasci' `det_Mafia' `basics' `provinces' if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A10ca.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat
}
*PANEL Cb
foreach var of varlist high_mf1971 lit_mf1971 infmort1969_70 drink1971 hhi1972 { 
reg Mafia1900 sp3m1893_n30c `det_Fasci' `det_Mafia' `basics' `provinces' if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A10cb.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat
}
*PANEL Cc
foreach var of varlist high_mf1981 lit_mf1981 drink1981 infmort1982 hhi1983 { 
reg Mafia1900 sp3m1893_n30c `det_Fasci' `det_Mafia' `basics' `provinces' if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A10cc.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat
}


***TABLE A11***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"

*PANEL A
reg peasants_fasci sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' if Mafia1900!=.
predict peasants_fasci_hat
cluster2bootGDLF Mafia1900_dummy peasants_fasci_hat `det_Fasci' `det_Mafia' `basics' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A11a.tex, keep(peasants_fasci_hat) dec(2) noaster append 
drop peasants_fasci_hat
reg peasants_fasci sp3m1893_n30 `provinces' `det_Fasci' `det_Mafia' `basics' if Mafia1900!=.
predict peasants_fasci_hat
cluster2bootGDLF Mafia1900_dummy peasants_fasci_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A11a.tex, keep(peasants_fasci_hat) dec(2) noaster append 
drop peasants_fasci_hat
cluster2bootGDLF Mafia1900_dummy sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30
local F1=r(F)
outreg2 using TAB_A11a.tex, keep(sp3m1893_n30) dec(2) noaster addstat(F-statistic, `F1') append 
cluster2bootGDLF Mafia1900_dummy sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30
local F1=r(F)
outreg2 using TAB_A11a.tex, keep(sp3m1893_n30) dec(2) noaster addstat(F-statistic, `F1') append 
*PANEL B
foreach var of varlist lit_mf1911 lit_mf1921 lit_mf1931 infant1909 notaries1924 dev_spending1912 hhi1909 { 
reg Mafia1900_dummy sp3m1893_n30 `provinces' `det_Fasci' `det_Mafia' `basics' if `var'!=.
predict Mafia1900_dummy_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_dummy_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A11b.tex, keep(Mafia1900_dummy_hat) dec(2) noaster append 
drop Mafia1900_dummy_hat
}
*PANEL Ca
foreach var of varlist high_mf1961 lit_mf1961 drink1961 dev_spending1957 hhi1963 { 
reg Mafia1900_dummy sp3m1893_n30 `provinces' `det_Fasci' `det_Mafia' `basics' if `var'!=.
predict Mafia1900_dummy_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_dummy_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A11ca.tex, keep(Mafia1900_dummy_hat) dec(2) noaster append 
drop Mafia1900_dummy_hat
}
*PANEL Cb
foreach var of varlist high_mf1971 lit_mf1971 infmort1969_70 drink1971 hhi1972 { 
reg Mafia1900_dummy sp3m1893_n30 `provinces' `det_Fasci' `det_Mafia' `basics' if `var'!=.
predict Mafia1900_dummy_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_dummy_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A11cb.tex, keep(Mafia1900_dummy_hat) dec(2) noaster append 
drop Mafia1900_dummy_hat
}
*PANEL Cc
foreach var of varlist high_mf1981 lit_mf1981 drink1981 infmort1982 hhi1983 { 
reg Mafia1900_dummy sp3m1893_n30 `provinces' `det_Fasci' `det_Mafia' `basics' if `var'!=.
predict Mafia1900_dummy_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_dummy_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A11cc.tex, keep(Mafia1900_dummy_hat) dec(2) noaster append 
drop Mafia1900_dummy_hat
}


***TABLE A12 IS PRODUCED BY THE COMPANION FILE ADD_tables_2.do***

***TABLE A13***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"

foreach var of varlist army1875_pop eff_civ1{
g state_capacity=`var'
g state_capacity_rain=`var'*sp3m1893_n30
g peasants_state_capacity=peasants_fasci*`var'
foreach i of numlist 2/3 {
*Panel A
cluster2bootGDLF peasants_fasci sp3m1893_n30 state_capacity state_capacity_rain `specification`i'' `provinces' if Mafia1900!=. & sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30 state_capacity_rain
outreg2 using TAB_A13a.tex, keep(sp3m1893_n30 state_capacity state_capacity_rain) addstat("F-test on excluded instruments:", r(F)) dec(2) noaster append
*Panel B
cluster2bootGDLF peasants_state_capacity sp3m1893_n30 state_capacity state_capacity_rain `specification`i'' `provinces' if Mafia1900!=. & sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
test sp3m1893_n30 state_capacity_rain
outreg2 using TAB_A13b.tex, keep(sp3m1893_n30 state_capacity state_capacity_rain) addstat ("F-test on excluded instruments:", r(F)) dec(2) noaster append
}
drop state_capacity state_capacity_rain peasants_state_capacity
}


***TAB A14***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"

foreach var of varlist army1875_73080_pop army1875_102080_pop army1875_153080_pop army1875_104080_pop eff_civ2 eff_civ3{
g state_capacity=`var'
g state_capacity_rain=`var'*sp3m1893_n30
g peasants_state_capacity=peasants_fasci*`var'
reg peasants_fasci sp3m1893_n30 state_capacity_rain state_capacity `specification3' `provinces' if Mafia1900!=. & sp3m1893_n30!=.
predict peasants_fasci_h
reg peasants_state_capacity sp3m1893_n30 state_capacity_rain state_capacity `specification3' `provinces' if Mafia1900!=. & sp3m1893_n30!=.
predict peasants_state_capacity_h
cluster2bootGDLF Mafia1900 peasants_fasci_h state_capacity peasants_state_capacity_h `specification3' `provinces' if Mafia1900!=. & sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A14.tex, keep(peasants_fasci_h state_capacity peasants_state_capacity_h)  dec(2) noaster append
drop peasants_fasci_h peasants_state_capacity_h state_capacity state_capacity_rain peasants_state_capacity
}


***TAB A15 is produced using a Matlab code. See the README file***


***TAB A16 is produced using a Matlab code. See the README file***


***TAB A17 is produced using a R code. See the README file***


***TABLE A18***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"

foreach var of varlist lit_mf1911 lit_mf1921 lit_mf1931 dev_spending1912 infant1909 notaries1924 hhi1909 { 
foreach i of numlist 1893 1882/1891{
g rel_rainfall = sp3m`i'_n30
cluster2bootGDLF `var' rel_rainfall `specification3' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp`i'_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A18_`var'.tex, keep(rel_rainfall) addstat("year", `i') dec(2) noaster append 
drop rel_rainfall
}
}


***TABLE A19***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"

foreach var of varlist lit_mf1911 lit_mf1921 lit_mf1931 lit_mf1961 lit_mf1971 lit_mf1981 high_mf1961 high_mf1971 high_mf1981 dev_spending1912 dev_spending1957 infant1909 infmort1969_70 infmort1982 notaries1924 drink1961 drink1971 drink1981 hhi1909 hhi1963 hhi1972 hhi1983 { 
foreach i of numlist 1893 1906 1913 1914 1920 1922 1924 1927 {
g rel_rainfall = sp3m`i'_n30
cluster2bootGDLF `var' rel_rainfall `specification3' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp`i'_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A19_`var'.tex, keep(rel_rainfall) addstat("year", `i') dec(2) noaster append 
drop rel_rainfall
}
}


***TABLE A20***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"

*PANEL A
foreach var of varlist migr_81_01 migr_81_71 {
foreach i of numlist 1/3 {
cluster2bootGDLF `var' sp3m1893_n30 `specification`i'' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A20a.tex, keep(sp3m1893_n30) dec(2) noaster append 
}
}
*PANEL B
foreach var of varlist p_l_m_pop1908 socialist_vv1909 {
foreach i of numlist 1/3 {
cluster2bootGDLF `var' sp3m1893_n30 `specification`i'' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A20b.tex, keep(sp3m1893_n30) dec(2) noaster append 
}
}


***TABLE A21***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"
*PANEL A
foreach i of numlist 0/3 {
reg Mafia1900 sp3m1893_n30 `specification`i'' `provinces'
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF Mafia1987 Mafia1900_hat `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A21a.tex, keep(Mafia1900_hat) dec(2) noaster append 
drop Mafia1900_hat

*PANEL B
cluster2bootGDLF Mafia1987 Mafia1900 `specification`i'' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A21b.tex, keep(Mafia1900) dec(2) noaster append 
}

***TABLE A22***
use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
local specification1 "`det_Fasci'"
local specification2 "`det_Fasci' `det_Mafia'"
local specification3 "`det_Fasci' `det_Mafia' `basics'"

foreach var of varlist lit_mf1961 lit_mf1971 lit_mf1981 high_mf1961 high_mf1971 high_mf1981 infmort1969_70 infmort1982 drink1961 drink1971 drink1981 dev_spending1957 hhi1963 hhi1972 hhi1983 { 
foreach i of numlist 1893 1882/1891{
g rel_rainfall = sp3m`i'_n30
cluster2bootGDLF `var' rel_rainfall `specification3' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp`i'_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_A22_`var'.tex, keep(rel_rainfall) addstat("year", `i') dec(2) noaster append 
drop rel_rainfall
}
}


*************
***FIGURES***
*************
*ALL MAPS ARE SIMPLY COMPILED WITH THE RAW DATA.

use "ADD_Mafia_municipality.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"

***FIGURE 5***
**residuals for sp3m1893_n30
reg sp3m1893_n30 `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=. & sp3m1893_n30!=.
predict double sp3m1893_n30_r if Mafia1900!=. & sp3m1893_n30!=., residuals
**residuals for vars
reg peasants_fasci `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=. & sp3m1893_n30!=.
predict double peasants_fasci_r if Mafia1900!=. & sp3m1893_n30!=., residuals
**compute mean and var for residuals
egen sd=sd(sp3m1893_n30_r)
gen v=sd^2
egen m=mean(sp3m1893_n30_r)
**linear fitted values
reg peasants_fasci_r sp3m1893_n30_r if Mafia1900!=. & sp3m1893_n30!=.
predict peasants_fasci_r_f
***generate the se for the fitted values (using se from cluster2boot
gen s_hat_2boot=0.272*sqrt((sp3m1893_n30_r-m)^2 + v)
***generate the confidence interval
gen h2_conf_C_2b=peasants_fasci_r_f+invt(e(N)-2, 0.025)*s_hat_2boot
gen l2_conf_C_2b=peasants_fasci_r_f-invt(e(N)-2, 0.025)*s_hat_2boot
scatter peasants_fasci_r sp3m1893_n30_r, mlabpos(9) yti(Peasant Fasci) xti(Relative Rainfall 1893) mcolor(black) msize(small)  ylabel(, glcolor(gs15))|| lfit peasants_fasci_r sp3m1893_n30_r, color(gs5) || lowess h2_conf_C_2b sp3m1893_n30_r, color(gs5) lp(-) ||lowess l2_conf_C_2b sp3m1893_n30_r, color(gs5) lp(-) legend(label(3 "95% confidence interval") order(2 3)) graphregion(fcolor(white))
graph export FIG5.tif, replace width(4000) height(3000)
graph export FIG5.png, replace width(4000) height(3000)


***FIGURE A2 IS PRODUCED BY THE COMPANION FILE ADD_tables_replication_2.do***


***FIGURE A3***
*The figure was produced in Latex based on the results reported in the following table:
foreach var of varlist hhi1946 hhi1948 hhi1953 hhi1958 hhi1963 hhi1968 hhi1972 hhi1976 hhi1979 hhi1983 hhi1987 hhi1992 { 
reg Mafia1900 sp3m1893_n30 `provinces' `det_Fasci' `det_Mafia' `basics' if `var'!=.
predict Mafia1900_hat if Mafia1900!=.
cluster2bootGDLF `var' Mafia1900_hat `det_Fasci' `det_Mafia' `basics' `provinces' if sp3m1893_n30!=., fcluster(cl1_stn_sp1893_n30) tcluster(distretto1853) nboot(1000) seed(1111)
outreg2 using TAB_figA3.tex, append
drop Mafia1900_hat
}

