***ACEMOGLU, DE FEO, DE LUCA: WEAK STATES***
***REPLICATION FILE 2***

***SUMMARY***
*1) TABLE A12
*2) FIGURE A2


***TABLE A12***
use "ADD_Mafia_falsification.dta", clear
set more off
local det_Fasci "predr_peas_fasci ruralcentre1861 Rural_rent Urban_rent agricola_rel seminatoritot_rel"
local det_Mafia "Citrus_groves sulfurproduction1868_70 Vineyards Olives_groves Mafia1885"
local basics "lnpop1861 lnsurface centreheight maxheight slope2 pa_pdist1856 port2_pdist1856 roads1799 ave_temp var_sp3m_n30 sp3m_ave_n30"
local provinces "province2-province7"
foreach var of varlist Mafia1900 peasants_fasci lit_mf1911 lit_mf1921 lit_mf1931 lit_mf1961 lit_mf1971 lit_mf1981 high_mf1961 high_mf1971 high_mf1981 infant1909 infmort1969_70 infmort1982 dev_spending1912 dev_spending1957 drink1961 drink1971 drink1981 notaries1924 hhi1909 hhi1963 hhi1972 hhi1983 { 
foreach j in sp lsp csp {
foreach i of numlist 1900/1941{
gen `j'F`i'_`var'_neg=0
gen `j'F`i'_`var'_pos=0
**
g drought=`j'3m`i'_n30
cluster2bootGDLF `var' drought `det_Fasci' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp`i'_n30) tcluster(distretto1853) nboot(500) seed(1111)
mat b=e(b)
mat V=e(V)
replace `j'F`i'_`var'_neg=`j'F`i'_`var'_neg+1 if 2*ttail(e(N)-1,abs(b[1,1]/sqrt(V[1,1])))<0.1 & b[1,1]<0
replace `j'F`i'_`var'_pos=`j'F`i'_`var'_pos+1 if 2*ttail(e(N)-1,abs(b[1,1]/sqrt(V[1,1])))<0.1 & b[1,1]>0
est clear
**
cluster2bootGDLF `var' drought `det_Fasci' `det_Mafia' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp`i'_n30) tcluster(distretto1853) nboot(500) seed(1111)
mat b=e(b)
mat V=e(V)
replace `j'F`i'_`var'_neg=`j'F`i'_`var'_neg+1 if 2*ttail(e(N)-1,abs(b[1,1]/sqrt(V[1,1])))<0.1 & b[1,1]<0
replace `j'F`i'_`var'_pos=`j'F`i'_`var'_pos+1 if 2*ttail(e(N)-1,abs(b[1,1]/sqrt(V[1,1])))<0.1 & b[1,1]>0
est clear
cluster2bootGDLF `var' drought `det_Fasci' `det_Mafia' `basics' `provinces' if Mafia1900!=., fcluster(cl1_stn_sp`i'_n30) tcluster(distretto1853) nboot(500) seed(1111)
mat b=e(b)
mat V=e(V)
replace `j'F`i'_`var'_neg=`j'F`i'_`var'_neg+1 if 2*ttail(e(N)-1,abs(b[1,1]/sqrt(V[1,1])))<0.1 & b[1,1]<0
replace `j'F`i'_`var'_pos=`j'F`i'_`var'_pos+1 if 2*ttail(e(N)-1,abs(b[1,1]/sqrt(V[1,1])))<0.1 & b[1,1]>0
est clear
drop drought
}
egen `j'F_`var'_neg= rowtotal(`j'F*_`var'_neg)/126
egen `j'F_`var'_pos= rowtotal(`j'F*_`var'_pos)/126
}
} 
sum *F_*, meanonly


***FIGURE A2***
*The dataset containing all beta coefficients of relative rainfall 1900 - 1941 on the medium term outcomes is derived from the table generated in the previous falsification exercise. 
use "ADD_Mafia_shapiro_test.dta", clear
foreach var of varlist PeasantFasci Mafia1900 Literacy1911 Literacy1921 Literacy1931 InfantMortality1909 Notaries1924 HHI1909 {
cumul `var', gen(cdf_`var')
g b1893=`var'[1]
sum b1893, meanonly
local a= r(mean)
sort cdf_`var'
line cdf_`var' `var', ylab(, grid) ytitle("") xtitle("Beta") xlab(, grid) title("Dependent variable:  `var'") xline(`a')
graph export "CDF`var'.png", replace
drop b1893
sort variable
drop cdf_`var'
}
