function [AR_range] = AR_Cluster(boot_cov, b_FS, b_RF)

Sigma1=boot_cov(1,1);
Sigma2=boot_cov(2,2);
Sigma12=boot_cov(1,2);

beta=b_RF(1,1)/b_FS(1,1);

grid = linspace(-10*beta,10*beta,10000)

AR_range=NaN(length(grid),2);
AR_range(:,2)=zeros(length(grid),1);


for i=1:length(grid)
    theta=grid(i);
    stat=(b_RF(1,1)-b_FS(1,1)*theta)^2/(Sigma1*(theta^2)-2*Sigma12*theta+Sigma2)
    if stat < chi2inv(0.95,1)
        AR_range(i,1)=theta;
        AR_range(i,2)=1;
    end
end

end