function [l,g] = RE_ML_homo(theta,y, Z, X,W)


[n,p]=size(X);
[n,k]=size(W);

gamma =theta(1);
b = theta(2:p+1);
sigma = exp(theta(p+2));
tau=exp(theta(p+3));


Sigma = (sigma^2)*eye(n);
Tau = (tau^2)*eye(k);

V= Sigma+ W*Tau*(W')*(gamma^2);
%V= Sigma+ W*Tau*(W');
e=y-gamma*Z-X*b;
[L,q] = chol(V);

if q==0
    LV = inv(L); 
    Vinv = LV * (LV');

    l = 0.5*(2*sum(log(diag(L)))+ (e')*Vinv*e)

elseif isfinite(inv(V))==1
    Vinv =inv(V);
    l= 0.5*(trace(logm(V))+ (e')*Vinv*e)
else
l= Inf;
end


if nargout>1
    g(1)= 0.5*(trace(2*gamma*Vinv*W*Tau*(W'))-e'*(2*gamma*Vinv*W*Tau*(W')*Vinv)*e -2*Z'*Vinv*y+2*b'*X'*Vinv*Z+2*gamma*Z'*Vinv*Z);
    g(2:p+1)=0.5*(-2*X'*Vinv*y+2*X'*Vinv*X*b+2*gamma*X'*Vinv*Z);
    
    g(p+2)=0.5*(trace(2*exp(2*theta(p+2))*Vinv)-e'*(2*exp(2*theta(p+2))*Vinv*Vinv)*e);

    g(p+3)=0.5*(trace(2*exp(2*theta(p+3))*(gamma^2)*Vinv*W*(W'))-e'*(2*exp(2*theta(p+3))*Vinv*(gamma^2)*W*(W')*Vinv)*e);
end
end

