function [l,g] = RE_ML_homo_restricted(theta,y, Z, X,W)

[n,p]=size(X);
[n,k]=size(W);

gamma =0;
b = theta(1:p);
sigma = exp(theta(p+1));
tau=0;


Sigma = (sigma^2)*eye(n);
Tau = (tau^2)*eye(k);

V= Sigma;

e=y-X*b;
[L,q] = chol(V);

if q==0
    LV = inv(L); 
    Vinv = LV * (LV');

    l = 0.5*(2*sum(log(diag(L)))+ (e')*Vinv*e)

elseif isfinite(inv(V))==1
    Vinv =inv(V);
    l= 0.5*(trace(logm(V))+ (e')*Vinv*e)
else
l= Inf;
end


if nargout>1
     g(1:p)=0.5*(-2*X'*Vinv*y+2*X'*Vinv*X*b);
    
    g(p+1)=0.5*(trace(2*exp(2*theta(p+1))*Vinv)-e'*(2*exp(2*theta(p+1))*Vinv*Vinv)*e);

end
end

