function [l,g] = TS_RE_ML_restricted(theta,y, Z, X,W,m)

digits(2^(29))
[n,p]=size(X);
[n,k]=size(W);

gamma =theta(1);
b_m = theta(2:p+1);
phi = 0;
b_y = theta(p+2:2*p+1);
sigma_m = exp(theta(2*p+2));
lambda=exp(theta(2*p+3));
sigma_y = exp(theta(2*p+4));
rho=(exp(theta(2*p+5))-1)/(exp(theta(2*p+5))+1);


Lambda = (lambda^2)*eye(k);

Vm= (sigma_m^2)*eye(n)+ W*Lambda*(W')*(gamma^2);
Vy= (sigma_y^2)*eye(n);
Vmy =(rho*sigma_y*sigma_m*eye(n));

V=[Vy Vmy ; Vmy Vm];
V = 0.5*(V+(V'));

e=[y-(X*b_y); m-(gamma*Z)-(X*b_m)];
[L,q] = chol(double(V));
if q==0
    LV = inv(L); 
    Vinv = LV * (LV');

    l = 0.5*(2*sum(log(diag(L)))+ (e')*Vinv*e)

elseif isfinite(inv(V))==1
    Vinv =inv(V);
    l= 0.5*(trace(logm(V))+ (e')*Vinv*e)
else
l= Inf;
end

if nargout>1
    % Defining variables:
    d_rho= 2*exp(theta(2*p+5))/((exp(theta(2*p+5))+1)^2);
    V_gamma=[2*(phi^2)*gamma*W*Lambda*(W') 2*phi*gamma*W*Lambda*(W')...
            ;2*phi*gamma*W*Lambda*(W') 2*gamma*W*Lambda*(W')];
    V_phi=[(2*phi*Vm)+(2*rho*sigma_y*sigma_m*eye(n)) Vm ; Vm zeros(n,n)];
    V_sigma_m=[2*(phi^2)*exp(2*theta(2*p+2))*eye(n)+(2*phi*sigma_y*sigma_m*rho*eye(n)) 2*phi*exp(2*theta(2*p+2))*eye(n)+sigma_y*sigma_m*rho*eye(n) ...
              ; 2*phi*exp(2*theta(2*p+2))*eye(n)+sigma_y*sigma_m*rho*eye(n) 2*exp(2*theta(2*p+2))*eye(n)];
    V_lambda=[2*(phi^2)*(gamma^2)*exp(2*theta(2*p+3))*W*(W') 2*phi*(gamma^2)*exp(2*theta(2*p+3))*W*(W') ...
              ; 2*phi*(gamma^2)*exp(2*theta(2*p+3))*W*(W') 2*(gamma^2)*exp(2*theta(2*p+3))*W*(W')];
          
    V_sigma_y=[2*exp(2*theta(2*p+4))*eye(n)+(2*phi*sigma_m*sigma_y*rho*eye(n)) sigma_m*sigma_y*rho*eye(n) ; sigma_m*sigma_y*rho*eye(n) zeros(n,n) ];
    V_rho=[2*phi*d_rho*sigma_y*sigma_m*eye(n) d_rho*sigma_y*sigma_m*eye(n) ; d_rho*sigma_y*sigma_m*eye(n) zeros(n,n)];
    
    % Defining gradient:
    g=zeros(2*p+5,1);
    g(1,1)=0.5*(trace(Vinv*V_gamma)-(e')*(Vinv*V_gamma*Vinv)*e ...
           +2*(e')*Vinv*[-phi*Z ; -Z]); 
      
    g(2:p+1,1)=0.5*(2*(e')*Vinv*[-phi*X ; -X])';

    
    g(p+2:2*p+1,1)=0.5*(2*(e')*Vinv*[-X ; zeros(n,p)])';
    
    g(2*p+2,1)=0.5*(trace(Vinv*V_sigma_m)-(e')*(Vinv*V_sigma_m*Vinv)*e);
    
    g(2*p+3,1)=0.5*(trace(Vinv*V_lambda)-(e')*(Vinv*V_lambda*Vinv)*e);
    
    g(2*p+4,1)=0.5*(trace(Vinv*V_sigma_y)-(e')*(Vinv*V_sigma_y*Vinv)*e);
    g(2*p+5,1)=0.5*(trace(Vinv*V_rho)-(e')*(Vinv*V_rho*Vinv)*e);
    
end
end