% ------------------------------
% ------------------------------
% Table 4 - MLE ---------------
% ------------------------------
% ------------------------------

% --------------------------------
% (1.A) No Province - No controls:
% --------------------------------
clear

clear
Data = csvread('ADD_Mafia_matlab.csv', 1,0);
W = Data(:,64:102);
rng(1111)

% Defining variables:

Mafia=Data(:,8);
Rain=Data(:,10);
Dist=Data(:,63);

[n]=size(Data,1);
X=[ones(n,1)] ;

% Droping missing values:

[n,p]=size(X)
M=[Mafia, Rain, Dist, X, W];
M=M(find(sum(isnan(M),2)==0),:);

Mafia=M(:,1);
Rain=M(:,2);
Dist=M(:,3);
X=M(:,4:(p+3));
W=M(:,(p+4):size(M,2));
    
% Dropping colinear covariates:
%X=licols(X);

% Estimation:

XX=[Rain, X];
[n,p]=size(X);
p0=zeros(p+3,1);
p0(1:p+1)=XX\Mafia;

p0(p+2:p+3)=-2.5;
[param,~,exitflag] = knitromatlab(@(theta)RE_ML_homo(theta,Mafia, Rain, X,W),p0,[],[],[],[],[],[],[],[],[], 'knitro.opt.txt')
se_d= WBS_ClusterDist_RFRestr(param,Mafia, Rain, X,W,Dist, p0,800);

save table4_1A.mat

% --------------------------------
% (1.B) No Province - Fasci:
% --------------------------------
clear

Data = csvread('ADD_Mafia_matlab.csv', 1,0);
W = Data(:,64:102);
%rng(1111)
% Defining variables:

Mafia=Data(:,8);
Rain=Data(:,10);
Dist=Data(:,63);


% Fasci Controls:
[n]=size(Data,1);
X=[ones(n,1), Data(:,11), Data(:,12), Data(:,13),Data(:,14), Data(:,15), Data(:,16)] ;

% Droping missing values:

[n,p]=size(X)
M=[Mafia, Rain, Dist, X, W];
M=M(find(sum(isnan(M),2)==0),:);

Mafia=M(:,1);
Rain=M(:,2);
Dist=M(:,3);
X=M(:,4:(p+3));
W=M(:,(p+4):size(M,2));
    
% Dropping colinear covariates:
X=licols(X);

% Estimation:

XX=[Rain, X];
[n,p]=size(X);
p0=zeros(p+3,1);
p0(1:p+1)=XX\Mafia;

p0(p+2:p+3)=-2.5;
[param,~,exitflag] = knitromatlab(@(theta)RE_ML_homo(theta,Mafia, Rain, X,W),p0,[],[],[],[],[],[],[],[],[], 'knitro.opt.txt')
se_d= WBS_ClusterDist_RFRestr(param,Mafia, Rain, X,W,Dist, p0,800);

save table4_1B.mat

% --------------------------------
% (1.C) No Province - Fasci + Mafia:
% --------------------------------
clear

Data = csvread('ADD_Mafia_matlab.csv', 1,0);
W = Data(:,64:102);
%rng(1111)
% Defining variables:

Mafia=Data(:,8);
Rain=Data(:,10);
Dist=Data(:,63);

% Fasci Controls:
[n]=size(Data,1);
X=[ones(n,1), Data(:,11), Data(:,12), Data(:,13),Data(:,14), Data(:,15), Data(:,16)] ;

% Mafia Controls:

X=[X, Data(:,17), Data(:,18), Data(:,19), Data(:,20), Data(:,21)];

% Droping missing values:

[n,p]=size(X)
M=[Mafia, Rain, Dist, X, W];
M=M(find(sum(isnan(M),2)==0),:);

Mafia=M(:,1);
Rain=M(:,2);
Dist=M(:,3);
X=M(:,4:(p+3));
W=M(:,(p+4):size(M,2));
    
% Dropping colinear covariates:
X=licols(X);

% Estimation:

XX=[Rain, X];
[n,p]=size(X);
p0=zeros(p+3,1);
p0(1:p+1)=XX\Mafia;

p0(p+2:p+3)=-2.5;
[param,~,exitflag] = knitromatlab(@(theta)RE_ML_homo(theta,Mafia, Rain, X,W),p0,[],[],[],[],[],[],[],[],[], 'knitro.opt.txt')
se_d= WBS_ClusterDist_RFRestr(param,Mafia, Rain, X,W,Dist, p0,800);

save table4_1C.mat

% ---------------------------------------------
% (1.D) No Province - Fasci + Mafia + Gepo/Demo:
% ----------------------------------------------
clear

Data = csvread('ADD_Mafia_matlab.csv', 1,0);
W = Data(:,64:102);
%rng(1111)
% Defining variables:

Mafia=Data(:,8);
Rain=Data(:,10);
Dist=Data(:,63);

% Fasci Controls:
[n]=size(Data,1);
X=[ones(n,1), Data(:,11), Data(:,12), Data(:,13),Data(:,14), Data(:,15), Data(:,16)] ;

% Mafia Controls:

X=[X, Data(:,17), Data(:,18), Data(:,19), Data(:,20), Data(:,21)];

% Geo/Demo Controls:

X=[X, Data(:,22), Data(:,23), Data(:,24), Data(:,25), Data(:,26), ...
   Data(:,27), Data(:,28), Data(:,29), Data(:,30), Data(:,31), Data(:,32)];

% Droping missing values:

[n,p]=size(X)
M=[Mafia, Rain, Dist, X, W];
M=M(find(sum(isnan(M),2)==0),:);

Mafia=M(:,1);
Rain=M(:,2);
Dist=M(:,3);
X=M(:,4:(p+3));
W=M(:,(p+4):size(M,2));
    
% Dropping colinear covariates:
X=licols(X);

% Estimation:

XX=[Rain, X];
[n,p]=size(X);
p0=zeros(p+3,1);
p0(1:p+1)=XX\Mafia;

p0(p+2:p+3)=-2.5;
[param,~,exitflag] = knitromatlab(@(theta)RE_ML_homo(theta,Mafia, Rain, X,W),p0,[],[],[],[],[],[],[],[],[], 'knitro.opt.txt')
se_d= WBS_ClusterDist_RFRestr(param,Mafia, Rain, X,W,Dist, p0,800);

save table4_1D.mat

% --------------------------------
% (2.A) Provinces - No controls:
% --------------------------------
clear

Data = csvread('ADD_Mafia_matlab.csv', 1,0);
W = Data(:,64:102);
%rng(1111)
% Defining variables:

Mafia=Data(:,8);
Rain=Data(:,10);
Dist=Data(:,63);


[n]=size(Data,1);
X=[ones(n,1)] ;

% Provinces:

X=[X, Data(:,1:7)];

% Droping missing values:

[n,p]=size(X)
M=[Mafia, Rain, Dist, X, W];
M=M(find(sum(isnan(M),2)==0),:);

Mafia=M(:,1);
Rain=M(:,2);
Dist=M(:,3);
X=M(:,4:(p+3));
W=M(:,(p+4):size(M,2));
    
% Dropping colinear covariates:
X=licols(X);

% Estimation:

XX=[Rain, X];
[n,p]=size(X);
p0=zeros(p+3,1);
p0(1:p+1)=XX\Mafia;

p0(p+2:p+3)=-2.5;
[param,~,exitflag] = knitromatlab(@(theta)RE_ML_homo(theta,Mafia, Rain, X,W),p0,[],[],[],[],[],[],[],[],[], 'knitro.opt.txt')
se_d= WBS_ClusterDist_RFRestr(param,Mafia, Rain, X,W,Dist, p0,800);

save table4_2A.mat

% --------------------------------
% (2.B) Provinces - Fasci:
% --------------------------------
clear

Data = csvread('ADD_Mafia_matlab.csv', 1,0);
W = Data(:,64:102);
%rng(1111)
% Defining variables:

Mafia=Data(:,8);
Rain=Data(:,10);
Dist=Data(:,63);

% Fasci Controls:
[n]=size(Data,1);
X=[ones(n,1), Data(:,11), Data(:,12), Data(:,13),Data(:,14), Data(:,15), Data(:,16)] ;

% Provinces:

X=[X, Data(:,1:7)];

% Droping missing values:

[n,p]=size(X)
M=[Mafia, Rain, Dist, X, W];
M=M(find(sum(isnan(M),2)==0),:);

Mafia=M(:,1);
Rain=M(:,2);
Dist=M(:,3);
X=M(:,4:(p+3));
W=M(:,(p+4):size(M,2));
    
% Dropping colinear covariates:
X=licols(X);

% Estimation:

XX=[Rain, X];
[n,p]=size(X);
p0=zeros(p+3,1);
p0(1:p+1)=XX\Mafia;

p0(p+2:p+3)=-2.5;
[param,~,exitflag] = knitromatlab(@(theta)RE_ML_homo(theta,Mafia, Rain, X,W),p0,[],[],[],[],[],[],[],[],[], 'knitro.opt.txt')
se_d= WBS_ClusterDist_RFRestr(param,Mafia, Rain, X,W,Dist, p0,800);

save table4_2B.mat

% --------------------------------
% (2.C) Provinces - Fasci + Mafia:
% --------------------------------
clear

Data = csvread('ADD_Mafia_matlab.csv', 1,0);
W = Data(:,64:102);
%rng(1111)
% Defining variables:

Mafia=Data(:,8);
Rain=Data(:,10);
Dist=Data(:,63);

% Fasci Controls:
[n]=size(Data,1);
X=[ones(n,1), Data(:,11), Data(:,12), Data(:,13),Data(:,14), Data(:,15), Data(:,16)] ;

% Mafia Controls:

X=[X, Data(:,17), Data(:,18), Data(:,19), Data(:,20), Data(:,21)];

% Provinces:

X=[X, Data(:,1:7)];

% Droping missing values:

[n,p]=size(X)
M=[Mafia, Rain, Dist, X, W];
M=M(find(sum(isnan(M),2)==0),:);

Mafia=M(:,1);
Rain=M(:,2);
Dist=M(:,3);
X=M(:,4:(p+3));
W=M(:,(p+4):size(M,2));
    
% Dropping colinear covariates:
X=licols(X);

% Estimation:

XX=[Rain, X];
[n,p]=size(X);
p0=zeros(p+3,1);
p0(1:p+1)=XX\Mafia;

p0(p+2:p+3)=-2.5;
[param,~,exitflag] = knitromatlab(@(theta)RE_ML_homo(theta,Mafia, Rain, X,W),p0,[],[],[],[],[],[],[],[],[], 'knitro.opt.txt')
se_d= WBS_ClusterDist_RFRestr(param,Mafia, Rain, X,W,Dist, p0,800);

save table4_2C.mat

% ---------------------------------------------
% (2.D) Provinces - Fasci + Mafia + Gepo/Demo:
% ----------------------------------------------
clear

Data = csvread('ADD_Mafia_matlab.csv', 1,0);
W = Data(:,64:102);
%rng(1111)

% Defining variables:

Mafia=Data(:,8);
Rain=Data(:,10);
Dist=Data(:,63);

% Fasci Controls:
[n]=size(Data,1);
X=[ones(n,1), Data(:,11), Data(:,12), Data(:,13),Data(:,14), Data(:,15), Data(:,16)] ;

% Mafia Controls:

X=[X, Data(:,17), Data(:,18), Data(:,19), Data(:,20), Data(:,21)];

% Geo/Demo Controls:

X=[X, Data(:,22), Data(:,23), Data(:,24), Data(:,25), Data(:,26), ...
   Data(:,27), Data(:,28), Data(:,29), Data(:,30), Data(:,31), Data(:,32)];

% Provinces:

X=[X, Data(:,1:7)];

% Droping missing values:

[n,p]=size(X)
M=[Mafia, Rain, Dist, X, W];
M=M(find(sum(isnan(M),2)==0),:);

Mafia=M(:,1);
Rain=M(:,2);
Dist=M(:,3);
X=M(:,4:(p+3));
W=M(:,(p+4):size(M,2));
    
% Dropping colinear covariates:
X=licols(X);

% Estimation:

XX=[Rain, X];
[n,p]=size(X);
p0=zeros(p+3,1);
p0(1:p+1)=XX\Mafia;

p0(p+2:p+3)=-2.5;
[param,~,exitflag] = knitromatlab(@(theta)RE_ML_homo(theta,Mafia, Rain, X,W),p0,[],[],[],[],[],[],[],[],[], 'knitro.opt.txt')
se_d= WBS_ClusterDist_RFRestr(param,Mafia, Rain, X,W,Dist, p0,800);

save table4_2D.mat