% ------------------------------
% ------------------------------
% Table AR C.I.s ---------------
% ------------------------------
% -----------------````````````````````-------------


clear
Data = csvread('ADD_Mafia_matlab.csv', 1,0);
W = Data(:,64:102);
rng(1893)

% Defining variables:

Mafia=Data(:,8);
Rain=Data(:,10);
Dist=Data(:,63);

% Defining outcome variables:
lit_mf1911=Data(:,33);
lit_mf1921=Data(:,34);
lit_mf1931=Data(:,35);
infant1909=Data(:,44);
dev_spending1912=Data(:,42);
notaries1924=Data(:,47);
hhi1909=Data(:,51);
high_mf1961=Data(:,39);
high_mf1971=Data(:,40);
high_mf1981=Data(:,41);
lit_mf1961=Data(:,36);
lit_mf1971=Data(:,37);
lit_mf1981=Data(:,38);
infmort1969_70=Data(:,45);
infmort1982=Data(:,46);
dev_spending1957=Data(:,43);
drink1961=Data(:,48);
drink1971=Data(:,49);
drink1981=Data(:,50);
hhi1963=Data(:,52);
hhi1972=Data(:,53);
hhi1983=Data(:,54);


Outcomes=[lit_mf1911, lit_mf1921, lit_mf1931, infant1909, dev_spending1912, notaries1924, hhi1909, high_mf1961, high_mf1971, high_mf1981, lit_mf1961, lit_mf1971,...
         lit_mf1981, infmort1969_70, infmort1982, dev_spending1957, drink1961, drink1971, drink1981, hhi1963, hhi1972, hhi1983];
      
% Looping over outcomes:
save main9.mat;
%jj=0;

for j=1:size(Outcomes,2)
  
    % -------------------------------------------------
    %  (FULL SPEC) Province + Fasci + Mafia + Geo/Demo:
    % -------------------------------------------------
    
    load main9.mat;
    outcome=Outcomes(:,j);
    
    % Fasci Controls:
    [n]=size(Data,1);
    X=[ones(n,1), Data(:,11), Data(:,12), Data(:,13),Data(:,14), Data(:,15), Data(:,16)] ;

    % Provinces:

    X=[X, Data(:,1:7)];
    
    % Mafia Controls:

    X=[X, Data(:,17), Data(:,18), Data(:,19), Data(:,20), Data(:,21)];

    % Geo/Demo Controls:

    X=[X, Data(:,22), Data(:,23), Data(:,24), Data(:,25), Data(:,26), ...
        Data(:,27), Data(:,28), Data(:,29), Data(:,30), Data(:,31), Data(:,32)];
    
    % Droping missing values:

    [n,p]=size(X)
    M=[outcome,Mafia, Rain, Dist, X, W];
    M=M(find(sum(isnan(M),2)==0),:);
    
    outcome=M(:,1);
    Mafia=M(:,2);
    Rain=M(:,3);
    Dist=M(:,4);
    X=M(:,5:(p+4));
    W=M(:,(p+5):size(M,2));
    
    % Dropping colinear covariates:
    X=licols(X);

    % AR Estimation:
    
    [boot_cov_clust_2W,boot_cov_clust_Dist,boot_cov_clust_Close,boot_cov_clust_Inter, b_FS, b_RF]  = WBS_ClusterDist_Corr(outcome, Rain, X,W,Mafia,Dist,10000)
    [AR_range] = AR_Cluster(boot_cov_clust_2W, b_FS, b_RF);
    AR_CI=[min(AR_range(:,1)),max(AR_range(:,1))];
    
    beta=b_RF(1,1)/b_FS(1,1);
    save(strcat('table_AR_',num2str(j),'.mat'));
end
%%
plot(AR_range(:,1),AR_range(:,2))