function [boot_se_clust,err] = WBS_ClusterDist_RFRest(theta,y, Z, X,W,Dist,p0,reps)

[n,p]=size(X);
[n,k]=size(W);

p00=p0(2:p+2);
[B_rest]= knitromatlab(@(theta)RE_ML_homo_restricted(theta,y, Z, X,W),p00,[],[],[],[],[],[],[],[],[], 'knitro.opt.txt')

gamma =0;
b = B_rest(1:p);
sigma = exp(B_rest(p+1));

epsilon_tilda=y-X*b;

% Correcting for variance of errors as in Carpenter et al. (2003):

epsilon_tilda=epsilon_tilda*(sigma/std(epsilon_tilda));

B = reps;

% Getting indicator variable for clusters:

epsilon_tilda=[epsilon_tilda,Dist];
I=Dist;
UI=unique(Dist);
d=size(UI,1);

% Initialize BStar
BStar = zeros(p+3,B);
exitflag = zeros(1,B);
% Loop over B bootstraps
parfor bb=1:B

% residual sample simulation

epsilon_tilda_clust=zeros(n,1);

prob = 0.5;

for i=1:d
    ii=UI(i);
    Ik= find(epsilon_tilda(:,2)==ii);
    h=rand(1);
    J=(h < prob) -(h > prob);
    epsilon_tilda_clust(Ik)=J*epsilon_tilda((I==ii),1);
end

yStar =X*b+epsilon_tilda_clust;
% Coeff:
[BStar(:,bb),fval,exitflag(1,bb)]= knitromatlab(@(theta)RE_ML_homo(theta,yStar, Z, X,W),p0,[],[],[],[],[],[],[],[],[], 'knitro2.opt.txt')
end

phiStar=BStar(1,:);
phiStar(exitflag<-100)=NaN;

boot_se_clust=std(phiStar,'omitnan');
err=sum((exitflag<-100));
end