function [se,err]= WBS_ClusterDist_TSRest(theta,y, Z, X,W,m,Dist,p0,reps)

[n,p]=size(X);
[n,k]=size(W);

p00=[p0(1:(p+1));p0((p+3):(2*p+6))];
[B_rest]=knitromatlab(@(theta)TS_RE_ML_restricted(theta,y, Z, X,W,m),p00,[],[],[],[],[],[],[],[],[], 'knitro.opt.txt') 

gamma =B_rest(1);
b_m = B_rest(2:p+1);
phi = 0;
b_y = B_rest(p+2:2*p+1);
sigma_m = exp(B_rest(2*p+2));
lambda=exp(B_rest(2*p+3));
sigma_y = exp(B_rest(2*p+4));
rho=(exp(B_rest(2*p+5))-1)/(exp(B_rest(2*p+5))+1);

% Creating bayesian posterior of random effects:
Vm= (sigma_m^2)*eye(n)+ W*(lambda^2)*(W')*(gamma^2);
xi_tilda=gamma*(lambda^2)*W'*inv(Vm)*(m-(gamma*Z)-(X*b_m));

e_y=y-(X*b_y);
e_m= m-(gamma*Z)-(X*b_m)-(gamma*W*xi_tilda);

% Correcting for variance of errors as in Carpenter et al. (2003):

e_tilda=[(e_y-mean(e_y))*(sigma_y/std(e_y-mean(e_y))); (e_m-mean(e_m))*(sigma_m/std((e_m-mean(e_m))))];

xi_tilda=(xi_tilda-mean(xi_tilda))*(lambda/std(xi_tilda-mean(xi_tilda)));

% Getting indicator variable for clusters:

I=Dist
e_tilda=[e_tilda,[I;I]];
UI=unique(I);
d=size(UI,1);

% Initialize BStar and exitflag
B = reps;
BStar = zeros(2*p+6,B);
exitflag = zeros(1,B);

% Loop over B bootstraps

parfor bb=1:B

% residual sample simulation

e_tilda_clust=zeros(2*n,1);

prob = 0.5;

for i=1:d
    ii=UI(i);
    Ik= find(e_tilda(:,2)==ii);
    h=rand(1);
    J=(h < prob) -(h > prob);
    e_tilda_clust(Ik)=J*e_tilda((Ik),1);
end

v = ceil(k*rand(k,1));

yStar =(X*b_y)+ e_tilda_clust(1:n);
mStar =(gamma*Z)+(X*b_m)+(gamma*W*xi_tilda(v))+e_tilda_clust(n+1:2*n);

% Coeff:
[BStar(:,bb),fval,exitflag(1,bb)]= knitromatlab(@(theta)TS_RE_ML(theta,yStar, Z, X,W,mStar),p0,[],[],[],[],[],[],[],[],[], 'knitro2.opt.txt')

end


phiStar=BStar(p+2,:);
phiStar(exitflag<-100)=NaN;

se=std(phiStar,'omitnan');
err=sum((exitflag<-100));

end